import { HttpRequestWithIdentity } from '@essential-projects/http_contracts';
import { IConsumerApi, IConsumerApiHttpController } from '@process-engine/consumer_api_contracts';
import { Response } from 'express';
export declare class ConsumerApiController implements IConsumerApiHttpController {
    private httpCodeSuccessfulResponse;
    private httpCodeSuccessfulNoContentResponse;
    private consumerApiService;
    constructor(consumerApiService: IConsumerApi);
    getProcessModels(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getProcessModelById(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getProcessModelByProcessInstanceId(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    startProcessInstance(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getProcessResultForCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getProcessInstancesByIdentity(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEventsForProcessModel(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEventsForCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEventsForProcessModelInCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    triggerMessageEvent(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    triggerSignalEvent(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEmptyActivitiesForProcessModel(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEmptyActivitiesForProcessInstance(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEmptyActivitiesForCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getEmptyActivitiesForProcessModelInCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getWaitingEmptyActivitiesByIdentity(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    finishEmptyActivity(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getUserTasksForProcessModel(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getUserTasksForProcessInstance(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getUserTasksForCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getUserTasksForProcessModelInCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getWaitingUserTasksByIdentity(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    finishUserTask(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getManualTasksForProcessModel(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getManualTasksForProcessInstance(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getManualTasksForCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getManualTasksForProcessModelInCorrelation(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    getWaitingManualTasksByIdentity(request: HttpRequestWithIdentity, response: Response): Promise<void>;
    finishManualTask(request: HttpRequestWithIdentity, response: Response): Promise<void>;
}
